%    Calculates the conductance for specific transverse momentums - based on EQuUs v4.8
%    Copyright (C) 2016 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
    function Cq = CalculateTransporSpecq( qvec, width_uc, height, Energy, EF, inputXML, outputXML, FiniteGreensFunctionFromHamiltonian )
        Cq = zeros(size(qvec));
        
        for idx = 1:length(qvec)       
            q = qvec(idx);
            ribbon_hamiltonian = Ribbon('width', width_uc, 'height', height, 'E', Energy, 'EF', EF, 'filenameIn', inputXML, 'filenameOut', outputXML, 'q', q, 'silent', true ); 
            
            [~,~,C_tmp] = ribbon_hamiltonian.Transport( Energy, 'constant_channels',true, 'FiniteGreensFunctionFromHamiltonian', FiniteGreensFunctionFromHamiltonian );
            Cq(idx) = C_tmp;
        end
        
    end