% Landau gauge parallel to the x direction  -  Based on EQuUs v4.8
%    Copyright (C) 2016 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%%
    function ret = Landaux( x,y, eta_B, Aconst, height, lattice_constant )
        ret = zeros( length(x),2 );
            
        indexes1 = logical( y<=0 );
        ret( indexes1, 1 ) = -Aconst;
           
        indexes2 = logical( y>=height*lattice_constant );
        ret( indexes2, 1 ) = -eta_B*height*lattice_constant-Aconst;
            
        indexes3 = ~( indexes1 | indexes2 );
        ret( indexes3, 1) = -eta_B*y(indexes3)-Aconst;
    end