%%    Eotvos Quantum Transport Utilities - parseInput
%    Copyright (C) 2009-2015 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%    This function parses the input file containing the input parameters
%%
function [ Opt, param ] = parseInput( filename )

if isempty( filename )
    error( 'EQuUs:parseInput', 'Input filename is empty.')
end

if isempty( which(filename) )
    error( 'EQuUs:parseInput', ['Input file "', filename,'" not found.'])
end

% determine the filter type
[directory, name, ext] = fileparts(which(filename));

    if strcmpi( ext, '.xml' )
        [Opt, param] = XMLinput( filename );
    else
        error('EQuUs:parseInput', ['Unrecognized file type: ', ext]);
    end

end





