%%    Eotvos Quantum Transport Utilities - structures
%    Copyright (C) 2009-2015 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%    This function creates a data structure used by Favago TPI interfaces. (since Favago TPI v4.5)
%%
function ret = structures( name )

if strcmp( name, 'hole')
	ret = struct('center', structures('coordinates'), 'radius',[]);   

elseif strcmp( name, 'param')
	ret = struct('scatter',[],'Leads',[]);

elseif strcmp( name, 'scatter_param')
	ret = struct('epsilon',[],'vargamma',[],'SOintrinsic',[],'deltaAB',[],'SO_rashba_intrinsic',[],'pair_potential',[],'vargamma1',[],'vargamma3', [], 'shape',[],'End_Type',[], 'FileName', [], 'Atom', []);

elseif strcmp( name, 'lead_param') %NEW vargamma_sc, FileName, Atom
	ret = struct('epsilon',[],'vargamma',[],'SOintrinsic',[],'deltaAB',[],'SO_rashba_intrinsic',[],'pair_potential',[],'vargamma1', [],'vargamma3', [], 'vargamma_sc', [],'Lead_Orientation',[], 'M', [], 'End_Type',[], 'FileName', [], 'Atom', []);

elseif strcmp( name, 'Opt')
	ret = struct('Silent', true,'BdG',[],'saveWithMagneticField',[],'Just_Create_Hamiltonians',[],'Linear_Regression_in_B',[],'Simple_Green_Function',[],'Lattice_Type',[],'magnetic_field',[],'Potential',[],'NofLeads',[],'Decimate_only_Dyson',[],'Decimation_block',[],'Decimation',[],'Hleads',[],'Hscatter',[], 'usingDualModes',[], 'debug', [], 'workers', [], 'custom_Hamiltonians', []); %NEW field

elseif strcmp( name, 'coordinates')
	ret = struct('x',[],'y',[], 'z', [],'a',[],'b',[],'spinup',[],'BdG_u',[]);

elseif strcmp( name, 'shape')
	ret = struct('width',[],'height',[]);

elseif strcmp( name, 'scatterers')
	ret = struct('z',[],'zpoints',[],'potentials',[],'siteindexes',[],'aremissing',[]);

elseif strcmp( name, 'BandWidth')
	ret = struct('Lead',[],'Scatter',[]);

elseif strcmp( name, 'BandWidthLimits')
	ret = struct('Emin',[],'Emax',[]);
    
elseif strcmp( name, 'Atom') %NEW
	ret = struct('PL',cell(0),'Id',cell(0));    
else
    err = MException('structure:name', 'Unrecognized structure name');
    save('structure.mat');
    throw(err); 
end

end





